<?php

namespace App\User;

use App\Shared\ValueObject\EmailAddress;

class User
{
    public function __construct(
        private int $id,
        private EmailAddress $email,
        private string $passwordHash,
    ) {}

    public function getId(): int
    {
        return $this->id;
    }

    public function getEmail(): EmailAddress
    {
        return $this->email;
    }

    public function getPasswordHash(): string
    {
        return $this->passwordHash;
    }
}
